Package org.apache.ignite.internal.management.api

## Class CommandRegistryImpl<A extends IgniteDataTransferObject,​R>

- java.lang.Object
- - org.apache.ignite.internal.management.api.CommandRegistryImpl<A,​R>

All Implemented Interfaces:
  `Command<A,​R>`, `CommandsRegistry<A,​R>`

Direct Known Subclasses:
  `BaselineCommand`, `CacheCommand`, `CacheIdleVerifyCommand`, `CdcCommand`, `ConsistencyCommand`, `DefragmentationCommand`, `DiagnosticCommand`, `EncryptionCommand`, `IgniteCommandRegistry`, `KillCommand`, `MetaCommand`, `MetricCommand`, `PerformanceStatisticsCommand`, `PersistenceBackupCommand`, `PersistenceCleanCommand`, `PersistenceCommand`, `PropertyCommand`, `SnapshotCommand`, `TracingConfigurationCommand`, `TxCommand`, `WalCommand`, `WarmUpCommand`

    public abstract class CommandRegistryImpl<A extends IgniteDataTransferObject,​R>
    extends Object
    implements CommandsRegistry<A,​R>

All commands class names stored in registry must ends with `Command.CMD_NAME_POSTFIX`.

See Also:
  `KillCommand`, `KillComputeCommand`

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`protected` `CommandRegistryImpl​(Command<?,​?>... subcommands)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Command<?,​?>` `command​(String name)`
`Iterator<Map.Entry<String,​Command<?,​?>>>` `commands()`
`protected void` `register​(Command<?,​?> cmd)` Register new command.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.CommandsRegistry

`argClass, description`

### Constructor Detail

#### CommandRegistryImpl

    protected CommandRegistryImpl​(Command<?,​?>... subcommands)

### Method Detail

#### register

    protected void register​(Command<?,​?> cmd)

Register new command.

Parameters:
  `cmd` - Command to register.

#### command

    public Command<?,​?> command​(String name)

Specified by:
  `command` in interface `CommandsRegistry<A extends IgniteDataTransferObject,​R>`
Parameters:
  `name` - Name of the command.
Returns:
  Command instance by name.

#### commands

    public Iterator<Map.Entry<String,​Command<?,​?>>> commands()

Specified by:
  `commands` in interface `CommandsRegistry<A extends IgniteDataTransferObject,​R>`
Returns:
  Commands iterator.